no header
Scooby-Doo First Frights
Release date: 2011. December 12.

Scooby-Doo First Frights System Requirements

Minimum system requirements:

CPU:
Pentium 4 2.0GHz processor or faster.
RAM:
512 MB
GPU:
Video Card NVIDIA GeForce 6200/ATI Radeon 9600 with 256MB
OS:
Windows: XP, Vista, 7
STO:
To install ~ 3 GB 1.5 GB after installation
There are only official system requirements on the site which are released by developers or an official publisher.
Making a comparison is not available for this game.
Similar games:
Pirates of Black Coveno coverNew kind of adventureWesterado: Double Barreledno coverProject Highrise
Comments
Please login to post a comment.
No comments have been posted. Be the first to comment!


Forgotten passwordRegister